"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DayPicker = void 0;
const react_1 = __importDefault(require("react"));
const Calendar_1 = require("./components/Calendar");
const contexts_1 = require("./contexts");
/**
 * DayPicker is a React component to create date pickers, calendars, and date
 * inputs for web applications. Use the `components` prop to swap this component
 * with a custom one.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see http://daypicker.dev
 */
function DayPicker(props) {
    return (react_1.default.createElement(contexts_1.ContextProviders, { ...props },
        react_1.default.createElement(Calendar_1.Calendar, null)));
}
exports.DayPicker = DayPicker;
//# sourceMappingURL=DayPicker.js.map