"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalendarFlag = exports.DayModifier = exports.UI = void 0;
/**
 * The UI elements composing DayPicker.
 *
 * These elements are mapped to the components directory.
 */
/**
 * The UI elements composing DayPicker.
 *
 * These elements are mapped to the components directory.
 */
var UI;
(function (UI) {
    /** The previous button in the navigation. */
    UI["ButtonPrevious"] = "button_previous";
    /** The next button the navigation */
    UI["ButtonNext"] = "button_next";
    /** The calendar element, the root of the component. */
    UI["Calendar"] = "calendar";
    /** The Chevron SVG element used by navigation buttons and dropdowns. */
    UI["Chevron"] = "chevron";
    /** The gridcell with the day's date. */
    UI["Day"] = "day";
    /** The label of a caption. */
    UI["CaptionLabel"] = "caption_label";
    /** The container of the dropdown navigation.. */
    UI["DropdownNav"] = "dropdown_nav";
    /** The dropdown used for years and months. */
    UI["Dropdown"] = "dropdown";
    /** The root element of the {@link Dropdown} component. */
    UI["DropdownRoot"] = "dropdown_root";
    /** The root element of the {@link Footer} component. */
    UI["Footer"] = "footer";
    /** The month grid. */
    UI["Month"] = "month";
    /** The caption of a month. */
    UI["MonthCaption"] = "month_caption";
    /** The dropdown of months. */
    UI["MonthsDropdown"] = "months_dropdown";
    /** Wrapper of the month grid. */
    UI["MonthWrapper"] = "month_wrapper";
    /** Container containing the months. */
    UI["Months"] = "months";
    /** The navigation element. */
    UI["Nav"] = "nav";
    /** The row in a week. */
    UI["Week"] = "week";
    /** The group of weeks in a month. */
    UI["Weeks"] = "weeks";
    /** The column's header with the weekday. */
    UI["Weekday"] = "weekday";
    /** The row grouping the weekdays. */
    UI["Weekdays"] = "weekdays";
    /** The row header in a week number. */
    UI["WeekNumber"] = "week_number";
    /** The dropdown of years. */
    UI["YearsDropdown"] = "years_dropdown";
})(UI || (exports.UI = UI = {}));
/** The modifiers for the {@link UI.Day}. */
var DayModifier;
(function (DayModifier) {
    /** The day is disabled */
    DayModifier["disabled"] = "disabled";
    /** The day is hidden */
    DayModifier["hidden"] = "hidden";
    /** The day is outside the current month */
    DayModifier["outside"] = "outside";
    /** The day is at the end of a selected range. */
    DayModifier["range_end"] = "range_end";
    /** The day is at the middle of a selected range. */
    DayModifier["range_middle"] = "range_middle";
    /** The day is at the start of a selected range. */
    DayModifier["range_start"] = "range_start";
    /** The day is selected. */
    DayModifier["selected"] = "selected";
    /** The day is focusable. */
    DayModifier["focusable"] = "focusable";
    /** The day is focused. */
    DayModifier["focused"] = "focused";
    /** The day is today. */
    DayModifier["today"] = "today";
})(DayModifier || (exports.DayModifier = DayModifier = {}));
/** Flags that can be applied to the {@link UI.Calendar} element. */
var CalendarFlag;
(function (CalendarFlag) {
    /** Assigned when the week numbers are show. */
    CalendarFlag["hasWeekNumbers"] = "has_week_numbers";
    /** Assigned when the weekdays are hidden. */
    CalendarFlag["noWeekdays"] = "no_weekdays";
    /** Assigned when the calendar has multiple months. */
    CalendarFlag["hasMultipleMonths"] = "has_multiple_months";
})(CalendarFlag || (exports.CalendarFlag = CalendarFlag = {}));
//# sourceMappingURL=UI.js.map