import React from "react";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
import { DropdownNav } from "./DropdownNav";
/**
 * Render the caption of a month in the calendar.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function MonthCaption(props) {
    const { classNames, dropdownNavigation, formatters: { formatCaption }, locale, styles } = useProps();
    return (React.createElement("div", { id: props.id, className: classNames[UI.MonthCaption], style: styles?.[UI.MonthCaption] }, dropdownNavigation ? (React.createElement(DropdownNav, { month: props.month, index: props.index, showMonths: true, showYears: true })) : dropdownNavigation ? (React.createElement(DropdownNav, { month: props.month, index: props.index, showMonths: dropdownNavigation === true || dropdownNavigation === "month", showYears: dropdownNavigation === true || dropdownNavigation === "year" })) : (React.createElement("span", { className: classNames[UI.CaptionLabel], role: "status", "aria-live": "polite" }, formatCaption(props.month.date, { locale })))));
}
//# sourceMappingURL=MonthCaption.js.map